- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | Protected Attributes

# FbxPluginContainer Class Reference

Search for all occurrences

## Detailed Description

Manages registration and ownership of FBX SDK plug-ins (FbxPlugin).

The FBX SDK will provide a pointer to FbxPluginContainer as an argument to the FBXPluginRegistration() function exported from a plug-in's DLL. A plug-in must register itself explicitly with the FbxPluginContainer by calling FbxPluginContainer::Register() after it is constructed. For an example of this process see the code example in the FbxPlugin class documentation.

See also:
  FbxPlugin

Definition at line 32 of file fbxplugincontainer.h.

`#include <fbxplugincontainer.h>`

Inheritance diagram for FbxPluginContainer:
[legend]

List of all members.

## Public Types
typedef FbxIntrusiveList < FbxPlugin > | PluginList
| Definition of a plug-in list.
## Public Member Functions
void | Register (FbxPlugin &pPlugin)
| The registration function that must be called when the module containing the plug-in is loaded.
void | Unregister (FbxPlugin &pPlugin)
| The unregistration function that must be called when the module containing the plug-in is unloaded.
const PluginList & | GetPlugins () const
| Const accessor to the list of plug-ins owned by the container.
PluginList & | GetPlugins ()
| Accessor to the list of plug-ins owned by the container.
## Protected Member Functions
virtual | ~FbxPluginContainer ()
## Protected Attributes
PluginList | mPlugins

## Member Typedef Documentation

typedef FbxIntrusiveList<FbxPlugin> PluginList

Search for all occurrences

Definition of a plug-in list.

Definition at line 46 of file fbxplugincontainer.h.

## Constructor & Destructor Documentation

virtual ~FbxPluginContainer | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

void Register | ( | FbxPlugin & | pPlugin | ) |

Search for all occurrences

The registration function that must be called when the module containing the plug-in is loaded.

Parameters:

  pPlugin | The plug-in to register.

void Unregister | ( | FbxPlugin & | pPlugin | ) |

Search for all occurrences

The unregistration function that must be called when the module containing the plug-in is unloaded.

Parameters:

  pPlugin | The plug-in to unregister.

const PluginList& GetPlugins | ( |  | ) | const

Search for all occurrences

Const accessor to the list of plug-ins owned by the container.

Returns:
  A list of plug-in registered to this container.

PluginList& GetPlugins | ( |  | ) |

Search for all occurrences

Accessor to the list of plug-ins owned by the container.

Returns:
  A list of plug-in registered to this container.

## Member Data Documentation

PluginList mPlugins `[protected]`

Search for all occurrences

Definition at line 69 of file fbxplugincontainer.h.

The documentation for this class was generated from the following file:

- fbxsdk/core/fbxplugincontainer.h

FbxPluginContainer FbxPluginContainer FbxPluginContainer FbxPluginContainer FbxPluginContainer FbxPluginContainer FbxPluginContainer FbxPluginContainer FbxPluginContainer FbxPluginContainer
FbxPluginContainer FbxPluginContainer FbxPluginContainer FbxPluginContainer FbxPluginContainer FbxPluginContainer FbxPluginContainer FbxPluginContainer FbxPluginContainer FbxPluginContainer